Get notification rules

GET https://api.ap1.datadoghq.com/api/v2/cases/projects/{project_id}/notification_ruleshttps://api.ap2.datadoghq.com/api/v2/cases/projects/{project_id}/notification_ruleshttps://api.datadoghq.eu/api/v2/cases/projects/{project_id}/notification_ruleshttps://api.ddog-gov.com/api/v2/cases/projects/{project_id}/notification_ruleshttps://api.us2.ddog-gov.com/api/v2/cases/projects/{project_id}/notification_ruleshttps://api.datadoghq.com/api/v2/cases/projects/{project_id}/notification_ruleshttps://api.us3.datadoghq.com/api/v2/cases/projects/{project_id}/notification_ruleshttps://api.us5.datadoghq.com/api/v2/cases/projects/{project_id}/notification_rules

Overview

Get all notification rules for a project.

OAuth apps require the cases_read authorization scope to access this endpoint.

Arguments

Path Parameters

Name

Type

Description

project_id [required]

string

Project UUID

Response

OK

Response with notification rules

Expand All

Field

Type

Description

data

[object]

Notification rules data

attributes [required]

object

Notification rule attributes

is_enabled

boolean

Whether the notification rule is enabled

query

string

Query to filter cases for this notification rule

recipients

[object]

List of notification recipients

data

object

Recipient data

channel

string

Slack channel name

channel_id

string

Slack channel ID

channel_name

string

Microsoft Teams channel name

connector_name

string

Microsoft Teams connector name

email

string

Email address

name

string

HTTP webhook name

service_name

string

PagerDuty service name

team_id

string

Microsoft Teams team ID

team_name

string

Microsoft Teams team name

tenant_id

string

Microsoft Teams tenant ID

tenant_name

string

Microsoft Teams tenant name

workspace

string

Slack workspace name

workspace_id

string

Slack workspace ID

type

string

Type of recipient (SLACK_CHANNEL, EMAIL, HTTP, PAGERDUTY_SERVICE, MS_TEAMS_CHANNEL)

triggers

[object]

List of triggers for this notification rule

data

object

Trigger data

change_type

string

Change type (added, removed, changed)

field

string

Field name for attribute value changed trigger

from_status

string

Status ID to transition from

from_status_name

string

Status name to transition from

to_status

string

Status ID to transition to

to_status_name

string

Status name to transition to

type

string

Type of trigger (CASE_CREATED, STATUS_TRANSITIONED, ATTRIBUTE_VALUE_CHANGED, EVENT_CORRELATION_SIGNAL_CORRELATED)

id [required]

string

The notification rule's identifier

type [required]

enum

Notification rule resource type Allowed enum values: notification_rule

default: notification_rule

{
  "data": [
    {
      "attributes": {
        "is_enabled": false,
        "query": "string",
        "recipients": [
          {
            "data": {
              "channel": "string",
              "channel_id": "string",
              "channel_name": "string",
              "connector_name": "string",
              "email": "string",
              "name": "string",
              "service_name": "string",
              "team_id": "string",
              "team_name": "string",
              "tenant_id": "string",
              "tenant_name": "string",
              "workspace": "string",
              "workspace_id": "string"
            },
            "type": "EMAIL"
          }
        ],
        "triggers": [
          {
            "data": {
              "change_type": "string",
              "field": "string",
              "from_status": "string",
              "from_status_name": "string",
              "to_status": "string",
              "to_status_name": "string"
            },
            "type": "CASE_CREATED"
          }
        ]
      },
      "id": "aeadc05e-98a8-11ec-ac2c-da7ad0900001",
      "type": "notification_rule"
    }
  ]
}

Bad Request

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Unauthorized

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Forbidden

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Found

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  # Path parameters
export project_id="e555e290-ed65-49bd-ae18-8acbfcf18db7"
# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/cases/projects/${project_id}/notification_rules" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
"""
Get notification rules returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.case_management_api import CaseManagementApi

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = CaseManagementApi(api_client)
    response = api_instance.get_project_notification_rules(
        project_id="project_id",
    )

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
# Get notification rules returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::CaseManagementAPI.new
p api_instance.get_project_notification_rules("project_id")

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
// Get notification rules returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewCaseManagementApi(apiClient)
	resp, r, err := api.GetProjectNotificationRules(ctx, "project_id")

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `CaseManagementApi.GetProjectNotificationRules`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `CaseManagementApi.GetProjectNotificationRules`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
// Get notification rules returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.CaseManagementApi;
import com.datadog.api.client.v2.model.CaseNotificationRulesResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    CaseManagementApi apiInstance = new CaseManagementApi(defaultClient);

    try {
      CaseNotificationRulesResponse result =
          apiInstance.getProjectNotificationRules("e555e290-ed65-49bd-ae18-8acbfcf18db7");
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling CaseManagementApi#getProjectNotificationRules");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
// Get notification rules returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_case_management::CaseManagementAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = CaseManagementAPI::with_config(configuration);
    let resp = api
        .get_project_notification_rules("project_id".to_string())
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
/**
 * Get notification rules returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.CaseManagementApi(configuration);

const params: v2.CaseManagementApiGetProjectNotificationRulesRequest = {
  projectId: "project_id",
};

apiInstance
  .getProjectNotificationRules(params)
  .then((data: v2.CaseNotificationRulesResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"